// MyHelpWindow.cpp: Implementierung der Klasse MyHelpWindow.
//
//////////////////////////////////////////////////////////////////////

#include "MyHelpWindow.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

MyHelpWindow::MyHelpWindow( QWidget *parent, const char *name )
	: QDialog( parent, name, FALSE,
		WStyle_Customize | WStyle_NormalBorder |
		WStyle_Maximize | WStyle_Title | WStyle_SysMenu )
{
	// Konstruktor

	layout = new QVBoxLayout( this );
	helpBrowser = new QTextBrowser( this );
	close = new QPushButton( this );
	close->setText( "Schliessen" );
	layout->addWidget( helpBrowser );
	layout->addWidget( close );
	this->connect( close, SIGNAL(clicked()), this, SLOT(toggle()) );
	this->resize( HELP_WINDOW_X_SIZE, HELP_WINDOW_Y_SIZE );
	this->setFont( QFont(FONT_NAME, FONT_SIZE) );
}

MyHelpWindow::~MyHelpWindow()
{
	// wird auch nur bei Programmende aufgerufen
}

void MyHelpWindow::toggle()
{
	// Hilfefenster ein-/ausblenden

	if(this->isHidden())
	{
		this->show();
	}
	else
	{
		this->hide();
	}
}

void MyHelpWindow::setSource(const QString & name )
{
	// Name der Hilfedatei festlegen

	helpBrowser->setSource( name );
}