// MyMainWindow.h: Schnittstelle fr die Klasse MyMainWindow.
//
//////////////////////////////////////////////////////////////////////

#ifndef MYMAINWINDOW_H
#define MYMAINWINDOW_H 1

#include "qincludes.h"
#include "MyVokData.h"
#include "MyHelpWindow.h"
#include "MyShowWindow.h"


class MyMainWindow : public QMainWindow  
{
	Q_OBJECT
private:
	QPushButton *benter, *blearn, *bload, *bnew, *boptions, *bhelp;
	QBoxLayout *menubar, *vokabar, *voklabel, *vokedit, *editbar, *layout;
	QFrame *central;
	QLabel *lang1, *lang2, *statusl;
	QLineEdit *line1, *line2, *statust;
	QPopupMenu *poptions;
	QString vok2edit;
	int mcheckCase;
	MyVokData *vokData;
	MyHelpWindow *helpWindow;
	MyShowWindow *showWindow;
	void realLoad(QString filename);
	void dataOK(bool ok);
	void learn(bool check);
	void setButtonDefaults( QPushButton *button, const QString &name );
	void setStatus(QString qstring1,QString qstring2 = "");
	void allLearned();
	void setLangLabels();
	bool fileExistsWarn();
public:
	MyMainWindow( QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel );
	virtual ~MyMainWindow();
	void loadAtStart(char *filename);
public slots:
	void learnMode();
	void enterMode();
	void load();
	void save();
	void autosave();
	void showStatistics();
	void resetLearnStatus();
	void setLanguage();
	void getlines();
	void convertLanguage();
	void infoHelp();
	void showAll();
	void toggleCase();
signals:
};

#endif
