// MyShowWindow.h: Schnittstelle fr die Klasse MyShowWindow.
//
//////////////////////////////////////////////////////////////////////

#ifndef MYSHOWWINDOW_H
#define MYSHOWWINDOW_H 1

#include "qincludes.h"
#include "MyVokData.h"



class MyTableItemList
{
public:
	QTableItem *entry;
	MyTableItemList *next;
	MyTableItemList( QTableItem *entry_ = NULL, MyTableItemList *next_ = NULL )
		{ entry = entry_; next = next_; };
	~MyTableItemList() {};
};


class MyShowWindow : public QDialog  
{
	Q_OBJECT
private:
	MyTableItemList	*firstItem, *lastItem;
	QTable			*table;
	QBoxLayout		*layout;
	QPushButton		*close;
	QString			selected;
	bool			fromTable;
	void addItem( QTableItem *qitem );

public:
	MyShowWindow( QWidget *parent, const char *name );
	virtual ~MyShowWindow();
	void populate( MyVokData *vokData );
	QString	getSelected();
	void depopulate( int getitem = -1 );

public slots:
	void catchClick(int row, int col /*, int button, const QPoint & mousePos*/);
	void catchClose();
};

#endif
