// MyVokData.h: Schnittstelle fr die Klasse MyVokData.
//
//////////////////////////////////////////////////////////////////////

#ifndef MYVOXDATA_H
#define MYVOXDATA_H 1

#include "MyVokEntry.h"

class MyVokList
{
	// Datenstruktur zum Aufbauen der Liste aller Vokabeln und der Lernliste
	// Prinzip ist eine einfach verkettete Liste
public:
	// Zeiger auf das eigentliche Datenelement
	MyVokEntry *entry;
	// Zeiger auf das naechste Listenelement
	MyVokList  *next;
	// Konstruktor kopiert die Zeiger in die Datenstruktur
	MyVokList( MyVokEntry *entry_ = NULL, MyVokList *next_ = NULL )
		{ entry = entry_; next = next_; };
	// Destuktor braucht keine Parameter
	~MyVokList() {};
};

class MyVokData  
{
private:
	// Dateiname fuer das Speichern der Daten
	QString filename;
	// fulllist ist die Liste aller Vokabeln
	MyVokList *fulllist, *fulllistp;
	// learnlist ist die Liste aller noch zu lernenden Vokabel
	MyVokList *learnlist, *learnp, *llearnp;
public:
	int lstatusdefault;
	QString language1;
	QString language2;
	MyVokData();
	virtual ~MyVokData();
	bool setFilename(QString filename_);
	QString search(QString& original);
	bool load();
	bool save();
	MyVokEntry* getLearnEntry(unsigned int offset);
	bool setLearnResult(bool correct);
	bool createLearnList();
	void deleteLearnList();
	void deleteFullList();
	void insertEntry( QString original, QString translated );
	void insertEntry( MyVokEntry *entry );
	void setToFirstEntry();
	MyVokEntry *getNextEntry();
};

#endif
