// MyVokEntry.cpp: Implementierung der Klasse MyVokEntry.
//
//////////////////////////////////////////////////////////////////////

#include "MyVokEntry.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

MyVokEntry::MyVokEntry(QString original_, QString translated_, int lstatus_ )
{
	// Konstruktor fuer Vokabel (Datensatz)

	int pos, end;

	original = original_.simplifyWhiteSpace();
	translated = translated_.simplifyWhiteSpace();

	for(pos=0, end=original.length(); pos < end; pos++)
	{
		if(original.at(pos) == DATA_SEPARATOR)
		{
			original = original.remove( pos,1 );
			original = original.insert( pos, DATA_SEPAREPLA );
		}
	}

	for(pos=0, end=translated.length(); pos < end; pos++)
	{
		if(original.at(pos) == DATA_SEPARATOR)
		{
			translated = translated.remove( pos,1 );
			translated = translated.insert( pos, DATA_SEPAREPLA );
		}
	}

	lstatus = lstatus_ ? lstatus_ : LSTATUS_DEFAULT;
	known = 0;
	notknown = 0;
}


MyVokEntry::MyVokEntry(QString data)
{
	// Vokabel aus Dateiformat einlesen

	QString qstring;
	int pos1,pos2;

	pos1=data.find(DATA_SEPARATOR,0);
	if(pos1 < 0) original = "";
	original = data.mid(0,pos1);
	pos2=pos1+1;

	pos1=data.find(DATA_SEPARATOR,pos2);
	if(pos1 < 0) original = "";
	translated = data.mid(pos2,pos1-pos2);
	pos2=pos1+1;

	pos1=data.find(DATA_SEPARATOR,pos2);
	if(pos1 < 0) original = "";
	qstring = data.mid(pos2,pos1-pos2);
	lstatus = qstring.toInt();
	pos2=pos1+1;

	pos1=data.find(DATA_SEPARATOR,pos2);
	if(pos1 < 0) original = "";
	qstring = data.mid(pos2,pos1-pos2);
	known = qstring.toInt();
	pos2=pos1+1;

	pos1=data.length()-1;
	if(pos1 < 0) original = "";
	qstring = data.mid(pos2,pos1-pos2);
	notknown = qstring.toInt();
	pos2=pos1+1;
}


MyVokEntry::~MyVokEntry()
{
	// keine Zeiger, also muss nix von Hand geloescht werden
}


QString MyVokEntry::write()
{
	// Datensatz in Dateiformat zurueckgeben

	QString qslstatus, qsknown, qsnotknown;
	qslstatus.setNum(lstatus);
	qsknown.setNum(known);
	qsnotknown.setNum(notknown);
	return original+DATA_SEPARATOR+translated+DATA_SEPARATOR+qslstatus+
		DATA_SEPARATOR+qsknown+DATA_SEPARATOR+qsnotknown;
}


QString MyVokEntry::getOriginal()
{
	// Vokabel Sprache 1 zurueckgeben

	return original;
}


QString MyVokEntry::getTranslated()
{
	// Vokabel Sprache 2 zurueckgeben

	return translated;
}


unsigned int MyVokEntry::getStatus()
{
	// Lernstatus zurueckgeben

	return lstatus;
}


unsigned int MyVokEntry::getKnown()
{
	// Anzahl richtige Eingaben zurueckgeben

	return known;
}


unsigned int MyVokEntry::getNotKnown()
{
	// Anzahl falsche Eingaben zurueckgeben

	return notknown;
}


void MyVokEntry::setStatus(int correct)
{
	// Lernstatus setzen

	switch(correct)
	{
	case statusKnown:
		if(lstatus > 0) lstatus--;
		known++;
		break;
	case statusNotKnown:
		lstatus++;
		notknown++;
		break;
	default:
		lstatus = correct;
		break;
	}
}
